local fn = _gn(0x5E3BDDBCB83F3D84)
--- Gives the ped the weapon. p7 is 0.5f, and p8 is 1.0f. p11 and p12 are both 0.
-- For a list of weapon groups, here is a weapons enum by Mooshe with all weapon-related hashes: https://pastebin.com/n72eW6zd
-- @param ped :
-- @param weaponHash :
-- @param ammoCount :
-- @param equipNow :
-- @param p4 :
-- @param weaponGroup :
-- @param p6 :
-- @param p7 :
-- @param p8 :
-- @param p9 :
-- @param p10 :
-- @param p11 :
-- @param p12 :
function Global.GiveWeaponToPed_2(ped, weaponHash, ammoCount, equipNow, p4, weaponGroup, p6, p7, p8, p9, p10, p11, p12)
	return _in2(fn, ped, _ch(weaponHash), ammoCount, equipNow, p4, weaponGroup, p6, p7, p8, p9, p10, p11, p12, _r)
end
